#8945 mbs fails to deploy in iad2
Closed: Fixed 3 months ago by pingou. Opened 3 months ago by kevin.

I'm trying to deploy everything in iad2 to get ready for the move (in just two weeks! yikes!).

The mbs playbook doesn't seem to want to run:

TASK [mbs/common : import default-modules] ************************************************************************************
Monday 25 May 2020  22:00:58 +0000 (0:00:08.476)       0:05:59.509 ************ 
Monday 25 May 2020  22:00:58 +0000 (0:00:08.476)       0:05:59.508 ************ 
failed: [mbs-frontend01.iad2.fedoraproject.org] (item=/srv/web/infra/ansible/roles/mbs/common/files/default-modules.production/
platform-el8.yaml) => {"ansible_facts": {"discovered_interpreter_python": "/usr/bin/python"}, "ansible_loop_var": "item", "chan
ged": true, "cmd": ["/usr/bin/mbs-manager", "import_module", "/etc/module-build-service/default-modules/platform-el8.yaml"], "d
elta": "0:00:00.032369", "end": "2020-05-25 22:00:58.388050", "item": "/srv/web/infra/ansible/roles/mbs/common/files/default-mo
dules.production/platform-el8.yaml", "msg": "non-zero return code", "rc": 1, "start": "2020-05-25 22:00:58.355681", "stderr": "
Traceback (most recent call last):\n  File \"/usr/bin/mbs-manager\", line 5, in <module>\n    from pkg_resources import load_en
try_point\n  File \"/usr/lib/python2.7/site-packages/pkg_resources.py\", line 3007, in <module>\n    working_set.require(__requ
ires__)\n  File \"/usr/lib/python2.7/site-packages/pkg_resources.py\", line 728, in require\n    needed = self.resolve(parse_re
quirements(requirements))\n  File \"/usr/lib/python2.7/site-packages/pkg_resources.py\", line 626, in resolve\n    raise Distri
butionNotFound(req)\npkg_resources.DistributionNotFound: distro", "stderr_lines": ["Traceback (most recent call last):", "  Fil
e \"/usr/bin/mbs-manager\", line 5, in <module>", "    from pkg_resources import load_entry_point", "  File \"/usr/lib/python2.
7/site-packages/pkg_resources.py\", line 3007, in <module>", "    working_set.require(__requires__)", "  File \"/usr/lib/python
2.7/site-packages/pkg_resources.py\", line 728, in require", "    needed = self.resolve(parse_requirements(requirements))", "  
File \"/usr/lib/python2.7/site-packages/pkg_resources.py\", line 626, in resolve", "    raise DistributionNotFound(req)", "pkg_
resources.DistributionNotFound: distro"], "stdout": "", "stdout_lines": []}
...

This requires some investigation as to what needs adjusting to get it working.


Metadata Update from @mohanboddu:
- Issue priority set to: Waiting on Assignee (was: Needs Review)
- Issue tagged with: groomed, high-gain, high-trouble

3 months ago

The playbook finished successfully, no idea how to test it beyond this though :(

Metadata Update from @pingou:
- Issue close_status updated to: Fixed
- Issue status updated to: Closed (was: Open)

3 months ago

Login to comment on this ticket.

Metadata